<?php
/**
 * The sidebar containing the right recipe widget area.
 *
 * If no active widgets in sidebar, let's hide it completely.
 *
 * @package WordPress
 * @subpackage SocialChef
 * @since SocialChef 1.0
 */
global $sc_nutritional_element_results;
global $sc_theme_globals;

if ( $sc_theme_globals->enable_nutritional_elements() && count($sc_nutritional_element_results) > 0 || is_active_sidebar( 'right-recipe' ) ) { 
?>
	<aside id="secondary-right-recipe" class="right-sidebar sidebar widget-area one-fourth" role="complementary">
		<ul>
		<?php if ( $sc_theme_globals->enable_nutritional_elements() && count($sc_nutritional_element_results) > 0) { ?>
		<li class="widget nutrition">
			<h5><?php _e('Nutrition facts <span>(per serving)</span>', 'socialchef'); ?></h5>
			<table>
			<?php
				foreach ($sc_nutritional_element_results as $nutritional_element_result) {
					$nutritional_unit = get_term_by('term_id', (int)$nutritional_element_result->nutritional_unit_term_id, 'nutritional_unit');
					$term_id = $nutritional_element_result->nutritional_unit_term_id;
					$term_meta = get_option( "taxonomy_$term_id" );
					$unit_abbreviation = $term_meta['nutritional_unit_abbreviation'];
					$unit_name = empty($unit_abbreviation) ? $nutritional_unit->name : $unit_abbreviation;
					
					$nutritional_element = get_term_by('term_id', $nutritional_element_result->nutritional_element_term_id, 'nutritional_element');
					echo "<tr>";					
					echo "<td>$nutritional_element->name</td>";
					echo "<td>" . SocialChef_Theme_Utils::convert_decimal_to_fraction($nutritional_element_result->amount ) . " $unit_name</td>";
					echo "</tr>";
				}
			?>				
			</table>		
		</li>
		<?php } ?>
		<?php if ( is_active_sidebar( 'right-recipe' ) ) : ?>		
		<?php dynamic_sidebar( 'right-recipe' ); ?>
		<?php endif; ?>
		</ul>
	</aside><!-- #secondary -->
<?php } ?>
